org.eclipse.aether.resolution

## Class ArtifactDescriptorPolicyRequest

- java.lang.Object
- - org.eclipse.aether.resolution.ArtifactDescriptorPolicyRequest

-     public final class ArtifactDescriptorPolicyRequest
      extends Object

  A query for the error policy for a given artifact's descriptor.
  See Also:
    `ArtifactDescriptorPolicy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDescriptorPolicyRequest()` Creates an uninitialized request.
    `ArtifactDescriptorPolicyRequest(Artifact artifact, String context)` Creates a request for the specified artifact.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()` Gets the artifact for whose descriptor to determine the error policy.
    `String` | `getRequestContext()` Gets the context in which this request is made.
    `ArtifactDescriptorPolicyRequest` | `setArtifact(Artifact artifact)` Sets the artifact for whose descriptor to determine the error policy.
    `ArtifactDescriptorPolicyRequest` | `setRequestContext(String context)` Sets the context in which this request is made.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactDescriptorPolicyRequest

          public ArtifactDescriptorPolicyRequest()

      Creates an uninitialized request.

    - #### ArtifactDescriptorPolicyRequest

          public ArtifactDescriptorPolicyRequest(Artifact artifact,
                                         String context)

      Creates a request for the specified artifact.
      Parameters:
        `artifact` - The artifact for whose descriptor to determine the error policy, may be `null`.
        `context` - The context in which this request is made, may be `null`.

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact for whose descriptor to determine the error policy.
      Returns:
        The artifact for whose descriptor to determine the error policy or `null` if not set.

    - #### setArtifact

          public ArtifactDescriptorPolicyRequest setArtifact(Artifact artifact)

      Sets the artifact for whose descriptor to determine the error policy.
      Parameters:
        `artifact` - The artifact for whose descriptor to determine the error policy, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRequestContext

          public String getRequestContext()

      Gets the context in which this request is made.
      Returns:
        The context, never `null`.

    - #### setRequestContext

          public ArtifactDescriptorPolicyRequest setRequestContext(String context)

      Sets the context in which this request is made.
      Parameters:
        `context` - The context, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.